extends Node

class_name ObjectContainer

@export var exlusion_list: Array[Node]

func _ready() -> void:
	if not multiplayer.is_server(): return
	Session.object_containers.append(self)

func despawn():
	if not multiplayer.is_server(): return
	for child in get_children():
		if exlusion_list.has(child):
			continue
		child.queue_free()
